dbscripts - Bug #636

[dbscripts] refactor abslibre's create_tarballs
2014-12-31 10:22 PM - mtjm

Status: not-a-bug % Done: 0%
Priority: wish

Assignee:

Category:

Description

It runs bsdtar with $repo/* ${ABSLIBRE}/any/${baserepo}/* among its arguments which expand to very long text, making bash -x
output hard to read. It also gets many unnecessary warnings like these ones:

bsdtar: Removing leading '/' from member names

bsdtar: /srv/abslibre/any/pcr/*: Cannot stat: No such file or directory
(The variables match empty directories.)

There should be a cleaner way to write it, maybe using find or xargs.

Remember #635 before editing that script.

History

#1 - 2015-05-25 05:29 AM - lukeshu

Well, | want to replace “db-sync’ and “abslibre™ with “db-import™ anyway...

#2 - 2016-04-15 11:40 PM - lukeshu

- Category set to dbscripts cleanup

#3 - 2017-01-21 12:31 AM - lukeshu
- Category deleted (dbscripts cleanup)

- Project changed from libretools to dbscripts

The latter warning has been fixed, but otherwise this is still valid.

#4 - 2018-09-20 04:29 PM - lukeshu

- Status changed from open to not-a-bug

Well... this no longer exists.
